CVE Vulnerabilities

CVE-2004-1950

Published: Apr 19, 2004 | Modified: Jul 11, 2017
CVSS 3.x
N/A
Source:
NVD
CVSS 2.x
5 MEDIUM
AV:N/AC:L/Au:N/C:N/I:P/A:N
RedHat/V2
RedHat/V3
Ubuntu

phpBB 2.0.8a and earlier trusts the IP address that is in the X-Forwarded-For in the HTTP header, which allows remote attackers to spoof IP addresses.

Affected Software

Name Vendor Start Version End Version
Phpbb Phpbb_group 2.0.0 2.0.0
Phpbb Phpbb_group 2.0.1 2.0.1
Phpbb Phpbb_group 2.0.2 2.0.2
Phpbb Phpbb_group 2.0.3 2.0.3
Phpbb Phpbb_group 2.0.4 2.0.4
Phpbb Phpbb_group 2.0.5 2.0.5
Phpbb Phpbb_group 2.0.6 2.0.6
Phpbb Phpbb_group 2.0.6c 2.0.6c
Phpbb Phpbb_group 2.0.6d 2.0.6d
Phpbb Phpbb_group 2.0.7 2.0.7
Phpbb Phpbb_group 2.0.7a 2.0.7a
Phpbb Phpbb_group 2.0.8 2.0.8
Phpbb Phpbb_group 2.0.8a 2.0.8a

References